import { VideoPrivacy } from '@peertube/peertube-models';
import { CONFIG } from '../initializers/config.js';
import { isStreamingPlaylist } from '../types/models/index.js';
export function getVideoWithAttributes(res) {
    return res.locals.videoAPI || res.locals.videoAll || res.locals.onlyVideo;
}
export function extractVideo(videoOrPlaylist) {
    return isStreamingPlaylist(videoOrPlaylist)
        ? videoOrPlaylist.Video
        : videoOrPlaylist;
}
export function getPrivaciesForFederation() {
    return (CONFIG.FEDERATION.VIDEOS.FEDERATE_UNLISTED === true)
        ? [{ privacy: VideoPrivacy.PUBLIC }, { privacy: VideoPrivacy.UNLISTED }]
        : [{ privacy: VideoPrivacy.PUBLIC }];
}
export function getExtFromMimetype(mimeTypes, mimeType) {
    const value = mimeTypes[mimeType];
    if (Array.isArray(value))
        return value[0];
    return value;
}
//# sourceMappingURL=video.js.map