import { CONFIG } from '../../initializers/config.js';
import { ACTOR_IMAGES_SIZE } from '../../initializers/constants.js';
import { ActorImageModel } from '../../models/actor/actor-image.js';
import { AbstractPermanentFileCache } from './shared/index.js';
export class AvatarPermanentFileCache extends AbstractPermanentFileCache {
    constructor() {
        super(CONFIG.STORAGE.ACTOR_IMAGES_DIR);
    }
    loadModel(filename) {
        return ActorImageModel.loadByName(filename);
    }
    getImageSize(image) {
        if (image.width && image.height) {
            return {
                height: image.height,
                width: image.width
            };
        }
        return ACTOR_IMAGES_SIZE[image.type][0];
    }
}
//# sourceMappingURL=avatar-permanent-file-cache.js.map