import { moveAndProcessCaptionFile } from '../helpers/captions-utils.js';
import { sequelizeTypescript } from '../initializers/database.js';
import { VideoCaptionModel } from '../models/video/video-caption.js';
export async function createLocalCaption(options) {
    const { language, path, video } = options;
    const videoCaption = new VideoCaptionModel({
        videoId: video.id,
        filename: VideoCaptionModel.generateCaptionName(language),
        language
    });
    await moveAndProcessCaptionFile({ path }, videoCaption);
    await sequelizeTypescript.transaction(async (t) => {
        await VideoCaptionModel.insertOrReplaceLanguage(videoCaption, t);
    });
    return videoCaption;
}
//# sourceMappingURL=video-captions.js.map