import { VideoPrivacy, VideoStreamingPlaylistType } from '@peertube/peertube-models';
export function getAllPrivacies() {
    return [VideoPrivacy.PUBLIC, VideoPrivacy.INTERNAL, VideoPrivacy.PRIVATE, VideoPrivacy.UNLISTED, VideoPrivacy.PASSWORD_PROTECTED];
}
export function getAllFiles(video) {
    const files = video.files;
    const hls = getHLS(video);
    if (hls)
        return files.concat(hls.files);
    return files;
}
export function getHLS(video) {
    return video.streamingPlaylists.find(p => p.type === VideoStreamingPlaylistType.HLS);
}
export function buildAspectRatio(options) {
    const { width, height } = options;
    if (!width || !height)
        return null;
    return Math.round((width / height) * 10000) / 10000;
}
//# sourceMappingURL=common.js.map